  using System;
  using System.IO;
  using System.Xml;
  public class Test2 {
   public static void Main() {
    Test2 tester = new Test2();
   }
   public Test2() {
    StringReader stream = null;
   XmlTextReader reader = null;
  try {
   String sXmlDoc = "<?xml version=\"1.0\"?>" +
         "<PurchaseOrders>" +
        "<PurchaseOrder number='2023'>" +
        "<Items><Item name='1 Box Chai Tea' /></Items>" +
        "</PurchaseOrder>" +
        "<PurchaseOrder number='2024'>" +
        "<Items><Item name='4 Boxes Ginkgo Tea' /></Items>" +
        "</PurchaseOrder>" +
        "<PurchaseOrder number='2025'>" +
         "<Items><Item name='10 Boxes Ginseng Tea' /></Items>" +
        "</PurchaseOrder>" +
        "<PurchaseOrder number='2026'>" +
        "<Items><Item name='1 Box Green Tea' /></Items>" +
        "</PurchaseOrder>" +
        "<PurchaseOrder number='2027'>" +
        "<Items><Item name='1 Box Black Tea' /></Items>" +
        "</PurchaseOrder>" +
        "</PurchaseOrders>";
    stream = new StringReader(sXmlDoc);
    reader = new XmlTextReader(stream);
    Console.WriteLine("Parsing . . .");
    while (reader.Read()) {
     String qs = reader.GetAttribute("number");
     if (qs != null) {
      if (qs == "2026") {
       Console.WriteLine("=====================================\n");
       Console.WriteLine("Your purchase order number {0} has been found:\n", qs);
       reader.MoveToElement();
       Console.WriteLine("Current PO Data Goes Here...\n");
       Console.WriteLine("=====================================");
      } else {
       Console.WriteLine ("Purchase Order Number: {0}", qs);
      }
     }
    }
    // May be added here to keep the command window open after parsing:
    // Console.Readline();
    // Otherwise, simply open the command window first, and then run the .exe.
   }
   catch (Exception e) {
    Console.WriteLine("###Exception: {0}", e.ToString());
   }
  }
 }